> For the complete documentation index, see [llms.txt](https://docs.0resmon.org/0resmon/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.0resmon.org/0resmon/0resmon-1/wais-resoucres/wais-multicharacterv2/how-to-set-it-up.md).

# How to set it up

{% hint style="info" %}
Below are some important types and installation contents.
{% endhint %}

* Do not change the name of the script
* Put the script in the resources folder, do not use any folderisation.
* Prefer to start manually in server.cfg as follows.
* <mark style="background-color:orange;">wais-compatibility</mark> script is required. Named <mark style="background-color:orange;">wais-compatibility-hudv5</mark> in [Keymaster](https://keymaster.fivem.net)
* Take care to start the script manually after your core.

{% hint style="danger" %}
**This is not the layout and appearance that should be in Server.cfg**
{% endhint %}

```
ensure [yourcore]
ensure wais-compatibility
ensure wais-multicharacterv2
```

***

{% hint style="info" %}
You need to read the SQL Files. If you cannot access the files, the queries are below.
{% endhint %}

SQL Table codes where we will keep Multicharacter data.

```sql
CREATE TABLE IF NOT EXISTS `wais_multicharacterv2` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `license` longtext DEFAULT NULL,
  `chars` longtext DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=460 DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_general_ci ROW_FORMAT=DYNAMIC;
```

***

SQL table codes to save Tebex purchases.

```sql
CREATE TABLE IF NOT EXISTS `wais_multicharacterv2_payment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `transactionid` mediumtext DEFAULT NULL,
  `buyed_package` mediumtext DEFAULT NULL,
  `buyer_mail` mediumtext DEFAULT NULL,
  `claimed_by` mediumtext DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_general_ci;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/wais-resoucres/wais-multicharacterv2/how-to-set-it-up.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
